summaryrefslogtreecommitdiffstats
path: root/system/bacula
diff options
context:
space:
mode:
Diffstat (limited to 'system/bacula')
-rw-r--r--system/bacula/README22
-rw-r--r--system/bacula/bacula.SlackBuild22
-rw-r--r--system/bacula/bacula.info6
3 files changed, 29 insertions, 21 deletions
diff --git a/system/bacula/README b/system/bacula/README
index dc0da7f130..2c787f2fcb 100644
--- a/system/bacula/README
+++ b/system/bacula/README
@@ -1,18 +1,22 @@
Bacula (Manage backup, recovery) - Client and server
-Bacula is a set of Open Source, computer programs that permit you (or the
-system administrator) to manage backup, recovery, and verification of computer
-data across a network of computers of different kinds. Bacula is relatively
-easy to use and very efficient, while offering many advanced storage management
-features that make it easy to find and recover lost or damaged files. In
-technical terms, it is an Open Source, network based backup program.
+Bacula is a set of Open Source, computer programs that permit
+you (or the system administrator) to manage backup, recovery,
+and verification of computer data across a network of computers of
+different kinds. Bacula is relatively easy to use and very efficient,
+while offering many advanced storage management features that make it
+easy to find and recover lost or damaged files. In technical terms,
+it is an Open Source, network based backup program.
This script has a few build options:
- DATABASE=auto|mysql|postgresql|sqlite - by default MySQL/MariaDB is selected
+ DATABASE=auto|mysql|postgresql|sqlite
+ By default MySQL/MariaDB is selected
OPT_PREFIX=yes|no - install into /opt/bacula (disabled by default)
BAT=yes|no - build with GUI support (disabled by default)
- EMAIL=root@localhost - destination for job announcements and core dumps
+ EMAIL=root@localhost - destination for job announcements and
+ core dumps
SMTPHOST=localhost - expects smtp daemon running on localhost
-More information about post-install/upgrading can be found in README.SLACKWARE
+More information about post-install/upgrading can be found in
+README.SLACKWARE
diff --git a/system/bacula/bacula.SlackBuild b/system/bacula/bacula.SlackBuild
index e532a1956c..4b47e6a6ae 100644
--- a/system/bacula/bacula.SlackBuild
+++ b/system/bacula/bacula.SlackBuild
@@ -22,10 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220301 bkw: Modified by SlackBuilds.org:
+# - updated for v9.6.7, to fix 32-bit builds. I didn't update to the 11.x
+# series, someone who actually uses & can test bacula will have to
+# decide to do that.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=bacula
-VERSION=${VERSION:-9.6.3}
+VERSION=${VERSION:-9.6.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +43,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -119,7 +121,7 @@ cat << EOF
EOF
- exit
+ exit 1
elif ! getent group bacula 2>/dev/null; then
cat << EOF
@@ -130,7 +132,7 @@ cat << EOF
EOF
- exit
+ exit 1
fi
rm -rf $PKG
@@ -142,9 +144,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -173,7 +175,7 @@ CXXFLAGS="$SLKCFLAGS" \
$ENABLE_BAT \
--build=$ARCH-slackware-linux
-make
+make V=1
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
@@ -215,6 +217,8 @@ cp -a \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+rm -f $PKG/usr/lib*/*.la
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/system/bacula/bacula.info b/system/bacula/bacula.info
index 8ecb0e383d..b1be363101 100644
--- a/system/bacula/bacula.info
+++ b/system/bacula/bacula.info
@@ -1,8 +1,8 @@
PRGNAM="bacula"
-VERSION="9.6.3"
+VERSION="9.6.7"
HOMEPAGE="http://www.bacula.org"
-DOWNLOAD="http://downloads.sourceforge.net/bacula/bacula-9.6.3.tar.gz"
-MD5SUM="6d64bc27de773ee0e0ca1d836cbe4008"
+DOWNLOAD="http://downloads.sourceforge.net/bacula/bacula-9.6.7.tar.gz"
+MD5SUM="2fa01ba7b0bb171535f6510b96ffd22b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""